%define majver %(echo %version|cut -d. -f1-2)
Name:          lilypond
Version:       2.16.2
Release:       1mamba
Summary:       An automated engraving system.
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://lilypond.org/
Source:        http://download.linuxaudio.org/lilypond/sources/v%{majver}/lilypond-%{version}.tar.gz
License:       GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgc-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libguile-devel
BuildRequires: libpango-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: python-devel
BuildRequires: mftrace
BuildRequires: fontforge
BuildRequires: urw-fonts
BuildRequires: t1utils
BuildRequires: libguile-devel >= 1.8.1
BuildRequires: ghostscript-fonts
BuildRequires: make381
Requires:      ghostscript-fonts
Requires(post):%{__install_info}

%description
LilyPond is an automated engraving system. It formats music beautifully and automatically, and has a friendly syntax for its input files.

%prep
%setup -q

%build
%configure \
   --disable-documentation \
   --with-ncsb-dir=%{_datadir}/ghostscript/fonts

make381 %{_smp_mflags}

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
make381 install DESTDIR=%{buildroot}

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

#% post
#% install_info %{name}.info
#:

#% preun
#% uninstall_info %{name}.info
#:

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/abc2ly
%{_bindir}/convert-ly
%{_bindir}/etf2ly
%{_bindir}/lilymidi
%{_bindir}/lilypond
%{_bindir}/lilypond-book
%{_bindir}/lilypond-invoke-editor
%{_bindir}/lilysong
%{_bindir}/midi2ly
%{_bindir}/musicxml2ly
%{_libdir}/lilypond/%{version}/python/midi.so
%{_datadir}/emacs/site-lisp/*.el
#%{_datadir}/info/lilypond*.gz
%{_datadir}/lilypond/%{version}/*
#%{_mandir}/man1/abc2ly.1.gz
#%{_mandir}/man1/convert-ly.1.gz
#%{_mandir}/man1/etf2ly.1.gz
#%{_mandir}/man1/lilymidi.1.gz
#%{_mandir}/man1/lilypond-book.1.gz
#%{_mandir}/man1/lilypond-invoke-editor.1.gz
#%{_mandir}/man1/lilypond.1.gz
#%{_mandir}/man1/lilysong.1.gz
#%{_mandir}/man1/midi2ly.1.gz
#%{_mandir}/man1/musicxml2ly.1.gz
#%{_infodir}/music-glossary.info.gz
#%{_datadir}/omf/lilypond/%{version}/*.omf
%doc COPYING README.txt THANKS

%changelog
* Fri Mar 22 2013 Automatic Build System <autodist@mambasoft.it> 2.16.2-1mamba
- automatic version update by autodist

* Mon Mar 18 2013 Automatic Build System <autodist@mambasoft.it> 2.16.0-1mamba
- automatic version update by autodist

* Thu Jul 15 2010 Automatic Build System <autodist@mambasoft.it> 2.12.3-2mamba
- automatic rebuild by autodist

* Wed Jan 13 2010 Automatic Build System <autodist@mambasoft.it> 2.12.3-1mamba
- update to 2.12.3

* Fri Mar 27 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.12.2-1mamba
- update to 2.12.2

* Mon Sep 24 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.33-1mamba
- update to 2.10.33

* Sat Sep 15 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.29-1mamba
- package created by autospec
